Option Explicit On 
Option Strict On
Option Compare Binary

Imports Microsoft.VisualBasic
Imports System
Imports System.Collections

' <remarks>
'   Stellt den Einsprungspunkt der Anwendung bereit.
' </remarks>
Public Class Main

    ' <summary>
    '   Der Einsprungspunkt der Anwendung.
    ' </summary>
    Public Shared Sub Main()

        ' Erstellen einer Collection und 
        ' Hinzufgen von Werten.
        Dim col As Collection = New Collection()
        col.Add("Ich wurde der Collection hinzugefgt.")

        ' Erstellen einer Arrayliste, die als Adapter 
        ' fr die Collection dient.
        Dim al As ArrayList = ArrayList.Adapter(col)
        al.Add("Ich wurde der Arrayliste hinzugefgt.")
        al.Add(23)
        al.Add(22.9923)
        al.Add(New User("Clim Binton", Convert.ToUInt32(62)))

        ' Durchlaufen ber eine For...Each-Schleife.
        Console.WriteLine("Durchlaufen ber For...Each:")
        Dim objElement As Object
        For Each objElement In al
            Console.WriteLine("  ""{0}""", _
              objElement.ToString())
        Next objElement

        ' Durchlaufen ber den Index der Elemente.
        Console.WriteLine("Durchlaufen ber den Index:")
        Dim i As Integer
        For i = 0 To al.Count - 1
            Console.WriteLine("  ""{0}""", al.Item(i))
        Next i
    End Sub
End Class